import { Http } from '@angular/http';
import { IHttpClient, IHttpRequest } from 'baasic-sdk-javascript';
import 'rxjs/add/operator/toPromise';
import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/map';
import 'rxjs/add/observable/throw';
export declare class HttpClientFactory implements IHttpClient {
    private http;
    constructor(http: Http);
    createPromise<TData>(deferFn: (resolve: (TData) => void, reject: (any) => void) => void): PromiseLike<TData>;
    request<ResponseType>(request: IHttpRequest): Promise<any>;
}
