"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@angular/core");
var http_client_factory_1 = require("./infrastructure/httpApi/http-client.factory");
var services_1 = require("./services");
var BaasicApp = /** @class */ (function () {
    function BaasicApp() {
    }
    BaasicApp_1 = BaasicApp;
    BaasicApp.forRoot = function (apiKey, options) {
        return {
            ngModule: BaasicApp_1,
            providers: [{
                    provide: services_1.TYPES.Configuration,
                    useValue: {
                        options: options,
                        apiKey: apiKey
                    }
                }]
        };
    };
    BaasicApp = BaasicApp_1 = tslib_1.__decorate([
        core_1.NgModule({
            providers: [
                http_client_factory_1.HttpClientFactory,
                services_1.BaasicAppService,
                services_1.ApplicationSettingsService,
                services_1.ArticleService,
                services_1.CommerceService,
                services_1.DynamicResourceService,
                services_1.FilesService,
                services_1.KeyValueService,
                services_1.MediaVaultService,
                services_1.MembershipService,
                services_1.MeteringService,
                services_1.NotificationsService,
                services_1.TemplatingService,
                services_1.UserProfileService,
                services_1.ValueSetService
            ]
        }),
        tslib_1.__metadata("design:paramtypes", [])
    ], BaasicApp);
    return BaasicApp;
    var BaasicApp_1;
}());
exports.BaasicApp = BaasicApp;
;
